I heard about the same problem here, and I'm experiencing it too. On a fresh new MinGW/MSYS basic installation, I get the error highlighted below when trying to install libiconv. So is this a known bug yet to have a fix released, or there's something I can do?

$ mingw-get install libiconv
install: gettext-0.18.3.1-1-mingw32-dll.tar.lzma
 installing gettext-0.18.3.1-1-mingw32-dll.tar.lzma
mingw-get.exe: *** ERROR *** C:\Programs\Desenvolvimento\MinGW\/bin/libgettextlib-0-18-3.dll: extraction failed
mingw-get.exe: *** ERROR *** C:\Programs\Desenvolvimento\MinGW\/bin/libgettextlib-0-18-3.dll: probable package conflict; existing file not overwritten
mingw-get.exe: *** ERROR *** C:\Programs\Desenvolvimento\MinGW\/bin/libgettextpo-0.dll: extraction failed
mingw-get.exe: *** ERROR *** C:\Programs\Desenvolvimento\MinGW\/bin/libgettextpo-0.dll: probable package conflict; existing file not overwritten
mingw-get.exe: *** ERROR *** C:\Programs\Desenvolvimento\MinGW\/bin/libgettextsrc-0-18-3.dll: extraction failed
mingw-get.exe: *** ERROR *** C:\Programs\Desenvolvimento\MinGW\/bin/libgettextsrc-0-18-3.dll: probable package conflict; existing file not overwritten
mingw-get.exe: *** ERROR *** C:\Programs\Desenvolvimento\MinGW\/bin/libintl-8.dll: extraction failed
mingw-get.exe: *** ERROR *** C:\Programs\Desenvolvimento\MinGW\/bin/libintl-8.dll: probable package conflict; existing file not overwritten

install: libiconv-1.14-3-mingw32-dll-2.tar
mingw-get.exe: *** ERROR *** package libiconv-1.14-3-mingw32-dll-2.tar is already installed
install: libiconv-1.14-3-mingw32-bin.tar.lzma
mingw-get.exe: *** ERROR *** package libiconv-1.14-3-mingw32-bin.tar.lzma is already installed
install: libiconv-1.14-3-mingw32-doc.tar.lzma
mingw-get.exe: *** ERROR *** package libiconv-1.14-3-mingw32-doc.tar.lzma is already installed
install: libiconv-1.14-3-mingw32-lic.tar.lzma
mingw-get.exe: *** ERROR *** package libiconv-1.14-3-mingw32-lic.tar.lzma is already installed
install: libiconv-1.14-3-mingw32-dev.tar.lzma
mingw-get.exe: *** ERROR *** package libiconv-1.14-3-mingw32-dev.tar.lzma is already installed
install: libiconv-1.14-3-mingw32-html.tar.lzma
mingw-get.exe: *** ERROR *** package libiconv-1.14-3-mingw32-html.tar.lzma is already installed
install: libiconv-1.14-3-mingw32-man.tar.lzma
mingw-get.exe: *** ERROR *** package libiconv-1.14-3-mingw32-man.tar.lzma is already installed
install: libiconv-1.14-3-mingw32-lang.tar.lzma
mingw-get.exe: *** ERROR *** package libiconv-1.14-3-mingw32-lang.tar.lzma is already installed